package com.sooka.system.medicine.industry.domain;


import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 规上工业经济数据对象 t_guiji_medicine_industry
 *
 * @author lei
 * @date 2022-08-22
 */
public class TGuijiMedicineIndustry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 传感器编号 */
    private String id;

    /** 推送时间 */
    @Excel(name = "推送时间")
    private String cdTime;

    /** 批次号 */
    @Excel(name = "批次号")
    private String cdBatch;

    /** 操作状态 */
    @Excel(name = "操作状态")
    private String cdOperation;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String cdSource;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 截至月份 */
    @Excel(name = "截至月份")
    private String month;

    /** 经济数据类型 */
    @Excel(name = "经济数据类型")
    private String economyType;

    /** 数值 */
    @Excel(name = "数值")
    private String number;

    /** 同比增长 */
    @Excel(name = "同比增长")
    private String yearOnYear;

    /** 占比全市规上 */
    @Excel(name = "占比全市规上")
    private String cityProportion;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setCdTime(String cdTime)
    {
        this.cdTime = cdTime;
    }

    public String getCdTime()
    {
        return cdTime;
    }
    public void setCdBatch(String cdBatch)
    {
        this.cdBatch = cdBatch;
    }

    public String getCdBatch()
    {
        return cdBatch;
    }
    public void setCdOperation(String cdOperation)
    {
        this.cdOperation = cdOperation;
    }

    public String getCdOperation()
    {
        return cdOperation;
    }
    public void setCdSource(String cdSource)
    {
        this.cdSource = cdSource;
    }

    public String getCdSource()
    {
        return cdSource;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }
    public void setMonth(String month)
    {
        this.month = month;
    }

    public String getMonth()
    {
        if(month != null && !month.equals("")){
            return month + " 月";
        }else {
            return month;
        }
    }
    public void setEconomyType(String economyType)
    {
        this.economyType = economyType;
    }

    public String getEconomyType()
    {
        return economyType;
    }
    public void setNumber(String number)
    {
        this.number = number;
    }

    public String getNumber()
    {
        return number;
    }
    public void setYearOnYear(String yearOnYear)
    {
        this.yearOnYear = yearOnYear;
    }

    public String getYearOnYear()
    {
        if(yearOnYear != null && !yearOnYear.equals("")){
            return yearOnYear + "%";
        }else {
            return yearOnYear;
        }
    }
    public void setCityProportion(String cityProportion)
    {
        this.cityProportion = cityProportion;
    }

    public String getCityProportion()
    {
        if(cityProportion != null && !cityProportion.equals("")){
            return cityProportion + "%";
        }else {
            return cityProportion;
        }
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createTime", getCreateTime())
            .append("cdTime", getCdTime())
            .append("cdBatch", getCdBatch())
            .append("cdOperation", getCdOperation())
            .append("cdSource", getCdSource())
            .append("year", getYear())
            .append("month", getMonth())
            .append("economyType", getEconomyType())
            .append("number", getNumber())
            .append("yearOnYear", getYearOnYear())
            .append("cityProportion", getCityProportion())
            .toString();
    }
}
